local addonName, addon = ...
local childName = addon['childName']
local child = addon[childName]
local events = child['events']
local db
local function prepareDB()
	db = addon['db']['profile'][childName]
	child['db'] = db
	addon['callbacks']:Fire(format("Init%s", childName))
end
child['specs']  = {
	['name'] = childName,
	['sv'] = true,
	['cfg'] = true,
	['cfgReset'] = prepareDB,
	['ldb'] = child['ldb'],
	['defaults'] = {
		['profile'] = {
			[childName] = {
				['cvars'] = {
					['autoLootDefault'] = "1",
			--		['consolidateBuffs'] = "0",
				},
				['HideBorder'] = true, -- Hides the editboxborder when not active
				['UnClamp'] = true, -- Make the window movable (take care! you can move it out of your screen)
				['HideFriendButton'] = true, -- Hide the friendsbutton
				['Unsticky'] = true, -- Dont remember whispers for next enter
				['NoSay'] = true -- Dont default chat to say
			}
		}
	}
}

child:NewAddOn(...)